Skip to main content
POST
/
measurement_locations
Post Measurement Locations
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/measurement_locations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "latitude": 0,
  "longitude": 0,
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "supplier_reference_id": "<string>"
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/measurement_locations"

payload = {
"latitude": 0,
"longitude": 0,
"project_id": "prj_1CTWZQGKE1S0VAXA",
"supplier_reference_id": "<string>"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
latitude: 0,
longitude: 0,
project_id: 'prj_1CTWZQGKE1S0VAXA',
supplier_reference_id: '<string>'
})
};

fetch('https://api.sandbox.isometric.com/mrv/v0/measurement_locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "mlc_1CCZASA6Q1S0V8T4",
  "latitude": 0,
  "longitude": 0,
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
latitude
number
required
Required range: -90 <= x <= 90
longitude
number
required
Required range: -180 <= x <= 180
project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

supplier_reference_id
string
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200

Response

Successful Response

id
string
required
Required string length: 20 - 37
Examples:

"mlc_1CCZASA6Q1S0V8T4"

"mlc_1GF73PG90SBXKEX1"

latitude
number
required
Required range: -90 <= x <= 90
longitude
number
required
Required range: -180 <= x <= 180
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200